
#
# core config
#
default[:php][:conf_dir] = "/etc/php5"

#
# ubuntu ppa support
#
default[:php][:ppas]["php5-5.6"].tap do |ppa|
  ppa[:uri] = "ppa:ondrej/php5-5.6"
  ppa[:enabled] = false
end

#
# install packages via apt
#
default[:php][:packages].concat([])
default[:php][:mysql][:package] = "php5-mysqlnd"

#
# install packages via pear
#
default[:php][:pear_packages] = {}

#
# use custom php.ini template
#
default[:php][:ini][:cookbook] = "php_wrapper"

#
# php.ini directives containers
#
default[:php][:directives] ||= {}
default[:php][:directives][:custom] ||= {}

#
# default configuration
#
default[:php][:directives].tap do |conf|
  conf["date.timezone"]       = "UTC"
  conf[:memory_limit]         = "128M"
  conf[:upload_max_filesize]  = "2M"
  conf[:post_max_size]        = "8M"
  conf[:max_execution_time]   = "30"
  conf[:max_input_time]       = "-1"
  conf[:max_input_vars]       = 1000
  conf[:default_socket_timeout] = "60"
  conf[:html_errors]          = "Off"
  conf[:display_errors]       = "Off"
  conf[:error_reporting]      = "E_ALL & ~E_DEPRECATED"
  conf[:error_log]            = ""
  conf[:expose_php]           = "Off"
  conf[:cgi_fix_pathinfo]     = 0
  conf["opcache.enable"]      = "On"
  conf["opcache.memory_consumption"] = conf[:memory_limit]
  conf["opcache.max_accelerated_files"]   = 2000
  conf[:custom_directives]    = {}
  conf[:module_directives]    = {}
end

