
composer_version   = node[:php][:composer][:version]
composer_command   = node[:php][:composer][:command]
composer_installer = ::File.join(Chef::Config['file_cache_path'],'installer')

remote_file composer_installer do
  source node[:php][:composer][:url]
  mode   00755
end

execute "install-composer" do
  command <<-EOF
    #{node[:php][:bin]} #{composer_installer} \
      --install-dir=#{::File.dirname(composer_command)} \
      --filename=#{::File.basename(composer_command)} \
      --version=#{composer_version}
  EOF
  not_if do
    ::File.exist?(composer_command) and
    `#{composer_command} --version --no-ansi`.match(/version #{composer_version}/)
  end
end

