
package node[:php][:fpm_package]

ini = resources(template: "#{node['php']['conf_dir']}/php.ini")
ini.notifies :reload, "service[#{node[:php][:fpm_service]}]"

template node[:php][:fpm_service_conf] do
  source  "fpm.conf.erb"
  mode    00644
  notifies :restart, "service[#{node[:php][:fpm_service]}]"
end

template "/etc/init/php5-fpm.conf" do
  source  "fpm.upstart.conf.erb"
  mode    00644
  notifies :restart, "service[#{node[:php][:fpm_service]}]"
  only_if do
    'ubuntu' == node['platform']
  end
end

node[:php][:fpm_pools].each do |name, hash|
  php_pool name do
    hash.each do |key, value|
      send(key, value) if respond_to?(key)
    end
  end
end

service node[:php][:fpm_service] do
  supports start: true, stop: true, restart: true, reload: true 
  action [:enable,:start]
end

