
include PHP::InheritAttributes

provides :php_app_config
resource_name :php_app_config

actions :create, :delete
default_action [:create]

state_attrs :path, :cookbook, :source

# template output relative path
#
attribute :path,
  kind_of: String,
  name_attribute: true

# template output docroot
#
attribute :root,
  kind_of: String,
  required: true

# template owner
#
attribute :owner,
  kind_of: String,
  default: "www-data"

# template group
#
attribute :group,
  kind_of: String,
  default: "www-data"

# template source cookbook
#
attribute :cookbook,
  kind_of: String,
  default: lazy { |r| "#{r.cookbook_name}" }

# template source path
#
attribute :source,
  kind_of: String,
  default: lazy { |r| "#{r.name}.erb" }

# template variables
#
def variables(hash=nil)
  hash = deep_merge(@variables, hash) if hash
  set_or_return :variables, hash, kind_of: Hash
end

