
include PHP::InheritAttributes

provides :php_application
resource_name :php_application

actions :deploy, :enable, :disable
default_action [:deploy, :enable]

state_attrs :path, :packages, :pears, :deployment, :variables

# application document root
#
attribute :path,
  name_attribute: true,
  kind_of: String

# system dependencies
# - packages: {key:[bool|hash]} to create package resources
# - pears: {key:[bool|hash]} to create php_pear resources
#
attribute :packages,
  kind_of: Hash,
  default: {}

attribute :pears,
  kind_of: Hash,
  default: {}

# optionally deploy code by creating a php_deployment resource
#
attribute :deployment,
  kind_of: [NilClass,Hash]

# optionally create a php_pool resource
#
attribute :pool,
  kind_of: [NilClass,Hash]

# template variables
#
def variables(hash=nil)
  hash = deep_merge(@variables, hash) if hash
  set_or_return :variables, hash, kind_of: Hash
end

def initialize(*args)
  @variables = {}
  super
end

