
provides :php_deployment
resource_name :php_deployment

actions :deploy
default_action :deploy

# application deployment path
#
attribute :path,
  kind_of: String,
  name_attribute: true

# git repository url
#
attribute :url,
  kind_of: String,
  required: true

# git revision
#
attribute :revision,
  kind_of: String,
  default: 'master'

# file owner
#
attribute :user,
  kind_of: String,
  default: node[:php][:fpm_user]

# file group
#
attribute :group,
  kind_of: String,
  default: node[:php][:fpm_user]

attribute :ssh_key,
  kind_of: String

# callbacks
#
def after_deploy(arg=nil, &block)
  @after_deploy ||= []
  callback_attr(:after_deploy, arg || block)
  @after_deploy
end

private

def callback_attr(name, args)
  unless args.nil?
    case args
    when Array then args.each {|arg| callback_attr(name, arg)}
    when String, Proc then send("#{name}") << args
    else raise Exceptions::ValidationFailed, 
               "Option #{name} must be kind of [String, Proc, Array]"
    end
  end
end

